Skip to main content
`Ctrl`+`K`

# PetscLogAllBegin

Equivalent to `PetscLogDefaultBegin()`.

## Synopsis

    PETSC_DEPRECATED_FUNCTION(3, 20, 0, "PetscLogDefaultBegin()", ) static inline PetscErrorCode PetscLogAllBegin(void)

Logically Collective on `PETSC_COMM_WORLD`

## Note

In previous versions, PETSc’s documentation stated that `PetscLogAllBegin()` “Turns on extensive logging of objects and events,” which was not actually true. The actual way to turn on extensive logging of objects and events was, and remains, to call `PetscLogActions()` and `PetscLogObjects()`.

## See Also

Profiling, `PetscLogDump()`, `PetscLogDefaultBegin()`, `PetscLogActions()`, `PetscLogObjects()`

## Level

deprecated

## Location

include/petsclogdeprecated.h

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages